# loki.jit_build.lib

Functions

`tqdm`(iterable, *args, **kwargs) |

Classes

`Lib`(name[, shared, objs, pattern, ...]) | A library object linked from multiple compiled objects (`Obj`).

class Lib(name, shared=True, objs=None, pattern=None, source_dir=None, ignore=None)

  Bases: `object`

  A library object linked from multiple compiled objects (`Obj`).

  Note, either :param objs: or the arguments :param pattern: and :param source_dir: are required to generated the necessary dependencies.

  Parameters:

    - name – Name of the resulting library (without leading `lib`).

    - shared – Flag indicating a shared library build.

    - objs – List of `Obj` objects that define the objects to link.

    - pattern – A glob pattern that determines the objects to link.

    - source_dir – A file path to find objects on when resolving glob patterns.

    - ignore – A (list of) glob patterns definig file to ignore when generating dependencies from a glob pattern.

  build(builder=None, logger=None, compiler=None, shared=None, force=False, include_dirs=None, external_objs=None)

    Build the source objects and create target library.

  wrap(modname, builder, sources=None, libs=None, lib_dirs=None, kind_map=None)

    Wrap the compiled library using `f90wrap` and return the loaded module.

    Parameters:

      sources – List of source files to wrap for Python access.